Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 973403 - [abrt] grass-6.4.2-4.fc18: mapdisp_window.py:768:UpdateMap:KeyError: 'name'
Summary: [abrt] grass-6.4.2-4.fc18: mapdisp_window.py:768:UpdateMap:KeyError: 'name'
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grass
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cf9ec2b78cce9d2d6e48369bd6d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-11 21:05 UTC by nicolo.targhetta
Modified: 2014-02-05 21:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 21:46:48 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (741 bytes, text/plain)
2013-06-11 21:05 UTC, nicolo.targhetta
no flags Details
File: core_backtrace (241 bytes, text/plain)
2013-06-11 21:05 UTC, nicolo.targhetta
no flags Details
File: environ (3.79 KB, text/plain)
2013-06-11 21:05 UTC, nicolo.targhetta
no flags Details

Description nicolo.targhetta 2013-06-11 21:05:37 UTC
Version-Release number of selected component:
grass-6.4.2-4.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        python /usr/lib64/grass-6.4.2/etc/wxpython/wxgui.py
executable:     /usr/lib64/grass-6.4.2/etc/wxpython/wxgui.py
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
mapdisp_window.py:768:UpdateMap:KeyError: 'name'

Traceback (most recent call last):
  File "/usr/lib64/grass-6.4.2/etc/wxpython/gui_modules/layertree.py", line 236, in OnIdle
    self.mapdisplay.MapWindow.UpdateMap(render = True, renderVector = vector)
  File "/usr/lib64/grass-6.4.2/etc/wxpython/gui_modules/mapdisp_window.py", line 768, in UpdateMap
    if grass.find_file(name = 'MASK', element = 'cell')['name']:
KeyError: 'name'

Local variables in innermost frame:
render: True
windres: False
self: <gui_modules.mapdisp_window.BufferedWindow; proxy of <Swig Object of type 'wxWindow *' at 0x50ab4f0> >
stop: 151.84
start: 151.83
renderVector: False
pdc: <wx._gdi.PseudoDC; proxy of <Swig Object of type 'wxPseudoDC *' at 0x50aca20> >

Comment 1 nicolo.targhetta 2013-06-11 21:05:42 UTC
Created attachment 759865 [details]
File: backtrace

Comment 2 nicolo.targhetta 2013-06-11 21:05:49 UTC
Created attachment 759866 [details]
File: core_backtrace

Comment 3 nicolo.targhetta 2013-06-11 21:05:52 UTC
Created attachment 759867 [details]
File: environ

Comment 4 markusN 2013-06-15 14:11:02 UTC
I am pretty confident that problems like this have been sorted out
for the upcoming GRASS 6.4.3.

Could you test the updated code?
http://grass.osgeo.org/news/22/15/GRASS-GIS-6-4-3RC3-source-code-and-selected-binaries-released/

(next week we'll have RC4 which will be the latest RC).

Comment 5 markusN 2013-08-01 07:10:44 UTC
The new stable 6.4.3 version has now been published,
potentially addressing this issue (say, we cannot reproduce it any more):

http://grass.osgeo.org/news/28/15/Stable-GRASS-GIS-6-4-3-released/

Comment 6 Volker Fröhlich 2013-10-06 16:39:46 UTC
6.4.3 is in updates-testing for Fedora 19 and up. Please test this release, if possible.

If you're on F19, you can try by running the following as root:

yum --enablerepo=updates-testing update grass

Comment 7 Fedora End Of Life 2013-12-21 13:58:08 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2014-02-05 21:46:48 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.